
function Show-Toast {
    [CmdletBinding()]
    param (
        [Parameter()]
        [string]
        $AppExePath,
        [string]
        $ToastTitle,
        [string]
        $ToastText,
        [int32]
        $ToastDurationMS
    )

    Add-Type -AssemblyName System.Windows.Forms 
    $global:Balloon = New-Object System.Windows.Forms.NotifyIcon
    $Balloon.Icon = [System.Drawing.Icon]::ExtractAssociatedIcon($AppExePath) 
    $Balloon.BalloonTipIcon = [System.Windows.Forms.ToolTipIcon]::Warning 
    $Balloon.BalloonTipText = "$ToastText"
    $Balloon.BalloonTipTitle = "$ToastTitle" 
    $Balloon.Visible = $true 
    $Balloon.ShowBalloonTip($ToastDurationMS)
}


function Assert-AppInPath {
    [CmdletBinding()]
    param (
        [Parameter()]
        [string]
        $AppName
    )

    $WhereParams = @{
        ArgumentList = @($AppName)
        ScriptBlock = {
            Param($AppName)
            where.exe $AppName
        }
    }

    $WhereOutput = Invoke-Command @WhereParams -ErrorAction SilentlyContinue
    return $WhereOutput
}

New-Alias -Name which -Value Assert-AppInPath -Force

Assert-AppInPath -AppName notepad